5

Instalación de WSL, Ubuntu 20.04 y PIP3

Espero los ayude.

Hola compañeros. me gustaría hacer este aporte para que las personas como yo se encontraban algo perdidas en esta parte del curso y presentaron muchos problemas a la hora de hacer las instalaciones. el procedimiento que yo realice fue el siguiente:

Instalación de WSL
1.1 Buscar la consola de comando de Windows Power Shell (WPS) y ejecutar como administrador
1.png

1.2 Dentro de la consola de WPS ejecutamos el siguiente comando:
wsl --install
tal como se ve en la pantalla

Una vez realizada la instalación procedemos a instalar la version de linux Ubuntu 20.04 con lo cual escribimos este comando en WPS:

**wsl --list --online**

2.png
recomiendo que se haga la instalacion de Ubuntu 20.04 LTS con el siguiente comando dentro de WPS

wsl --install -d Ubuntu 20.04

Después de la instalación recomiendo reiniciar el PC para evitar posibles errores.
Luego de realizar esta Instalación la terminar de Ubuntu 20.04 pedirá hacer un login y la creación de una contraseña.
Dentro de la terminal de Ubuntu 20.04 escribirán el siguiente comando para verificar que este con la versión de PYTHON 3

python3 --version

Después de realizada la verificación procedemos a hacer una actualización ingresamos el siguiente comando:

sudo apt-get update

comando que nos ayuda a actualizar la lista de paquetes disponibles y su versión
3.png

7. Una vez realizada la actualización del comando anterior podremos instalar pip3 con el siguiente comando.

sudo apt-get -y install python3-pip

4.png

8. por ultimo ejecutamos el siguiente código para verificar la instalación de pip3

pip3 --version

5.png

Ya por ultimo sigues los pasos de esta clase y quedara todo configurado para nunca parar de aprender.

Escribe tu comentario
+ 2
2

Saludos, estimado Juan Pablo.

Primeramente, gracias por tu aporte, considero que complementa bastante bien algunos procesos vistos en la clase. Sin embargo, me surge una duda respecto al último paso que enunciaste ya que estoy presentando un problema con la instalación de WSL-remote y de pronto esta información me puede ayudar (adjunto foto)

Revisé en mi Ubuntu y aparece que tengo la versión Python 3.8.10, por lo que al redactar pip3 --version me aparece que no existe PERO tengo la posibilidad de instalarlo. ¿crees que esa sea la razón de la falla que presento al descargar WSL-remote?

Gracias por tu tiempo

Platzi pregunta.png
1
2968Puntos
4 meses

Hola compañero, ¿como estas?. en cuanto a tu problema ya actualizaste las librerias de linux con el comando
sudo apt-get update
quedo atento a cualquier inquietud.